Entur Developer
Seating manager

seating-offer-controller


Update material for a seating offer

PUT
https://api.entur.io/seating-manager
/v1-beta/seating-offers/{datedServiceJourneyId}/materials

The material compositions for a seating offer will be replaced by new ones. Each new material composition will be specified with carriages and carriage details.

Update material for a seating offer › path Parameters

datedServiceJourneyId
​string · required · style: simple

The dated service journey of the seating offer that will be updated.

Update material for a seating offer › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Update material for a seating offer › Request Body

existingMaterialCompositionNetexId
​string · required

The netex id of the material composition that will be changed.

Example: GOA:CompoundTrain:73a_1-2-3-4
​MaterialElementRequest[] · required

List of elements in the changed material composition. Each list element corresponds to a carriage.

newMaterialCompositionNetexId
​string | null

The new netex id of the material composition that will be changed. If not supplied, an id will be generated.

Example: GOA:CompoundTrain:73a_1-2-3-4_extra-carriage

Update material for a seating offer › Responses

200

OK

datedServiceJourneyId
​string · required

The netex id of the datedServiceJourney

Example: VYG:DatedServiceJourney:61_21-12-02
datedServiceJourneyVersion
​integer · int32 · required

The version of the datedServiceJourney

Example: 1
organisationId
​integer · int64 · required

The organisation id this seating offer is operated by.

Example: 20
seatingOfferStatus
​string · enum · required

Describes the seating offer status

Enum values:
ACTIVE
CANCELLED
TO_BE_REPLACED
REPLACED_MATERIAL
REPLACED_DSJ
SEAT_USAGES_DELETED
REMOVED
DEPRECATED
Example: ACTIVE
serviceJourneyId
​string · required

The netex id of the serviceJourney

Example: GOA:ServiceJourney:709_337-R
operatingDate
​string · date · required

The date which the departure belongs to. Might differ from departureDateTime.

Example: 2023-02-13
departureDateTime
​string · date-time · required

The time of departure from the first station.

Example: 2023-02-13T12:00:00+01:00
lineId
​string · required

The netex id of the line

Example: GOA:Line:50
createdAt
​string · date-time · required

When this seating offer was initially created

Example: 2018-10-26T10:00:00Z
inactive
​boolean · required

Whether this seating offer is closed for sale or not

Example: false
manualMaterial
​boolean · required

Whether the material for this seating offer was set manually.

Example: false
transportType
​string · enum · required

The type of transport this seating offer is for.

Enum values:
BUS
REPLACEMENT_BUS
TRAIN
FERRY
OTHER
Example: TRAIN
​SeatingOfferElementResponse[] · required
replacesNetexId
​string | null

Netex id for the previous material used for this seating offer. If null the material on this dated service journey has never been changed.

Example: GOA:Train:73
updatedAt
​string | null · date-time

The last time this seating offer was updated. If null the seating offer has not been updated

Example: 2018-10-26T10:23:38Z

Force refresh active elements after changes in rolling-stock

POST
https://api.entur.io/seating-manager
/v1-beta/seating-offers/refresh

This endpoint fetches updated elements by series from rolling-stock, and updates the seating-offer

Force refresh active elements after changes in rolling-stock › query Parameters

elementSeries
​string[] · required · style: form · explode: true

The element series that has been updated.

fromDate
​string · date · style: form · explode: true

The earliest departure date of the seatingOffers that will be refreshed.

toDate
​string · date · style: form · explode: true

The latest departure date of the seatingOffers that will be refreshed.

Force refresh active elements after changes in rolling-stock › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Force refresh active elements after changes in rolling-stock › Responses

200

OK

No data returned

Fetch journey metadata about a given dated service journey

GET
https://api.entur.io/seating-manager
/v1-beta/seating-offers/{datedServiceJourneyId}

The response contains metadata on seating offer and the elements attached based on a given dated service journey id.

Fetch journey metadata about a given dated service journey › path Parameters

datedServiceJourneyId
​string · required · style: simple

The datedServiceJourney info that will be fetched.

Fetch journey metadata about a given dated service journey › query Parameters

datedServiceJourneyVersion
​integer · int32 · style: form · explode: true

Fetch journey metadata about a given dated service journey › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Fetch journey metadata about a given dated service journey › Responses

200

OK

datedServiceJourneyId
​string · required

The netex id of the datedServiceJourney

Example: VYG:DatedServiceJourney:61_21-12-02
datedServiceJourneyVersion
​integer · int32 · required

The version of the datedServiceJourney

Example: 1
organisationId
​integer · int64 · required

The organisation id this seating offer is operated by.

Example: 20
seatingOfferStatus
​string · enum · required

Describes the seating offer status

Enum values:
ACTIVE
CANCELLED
TO_BE_REPLACED
REPLACED_MATERIAL
REPLACED_DSJ
SEAT_USAGES_DELETED
REMOVED
DEPRECATED
Example: ACTIVE
serviceJourneyId
​string · required

The netex id of the serviceJourney

Example: GOA:ServiceJourney:709_337-R
operatingDate
​string · date · required

The date which the departure belongs to. Might differ from departureDateTime.

Example: 2023-02-13
departureDateTime
​string · date-time · required

The time of departure from the first station.

Example: 2023-02-13T12:00:00+01:00
lineId
​string · required

The netex id of the line

Example: GOA:Line:50
createdAt
​string · date-time · required

When this seating offer was initially created

Example: 2018-10-26T10:00:00Z
inactive
​boolean · required

Whether this seating offer is closed for sale or not

Example: false
manualMaterial
​boolean · required

Whether the material for this seating offer was set manually.

Example: false
transportType
​string · enum · required

The type of transport this seating offer is for.

Enum values:
BUS
REPLACEMENT_BUS
TRAIN
FERRY
OTHER
Example: TRAIN
​SeatingOfferElementResponse[] · required
replacesNetexId
​string | null

Netex id for the previous material used for this seating offer. If null the material on this dated service journey has never been changed.

Example: GOA:Train:73
updatedAt
​string | null · date-time

The last time this seating offer was updated. If null the seating offer has not been updated

Example: 2018-10-26T10:23:38Z

Update seating offer for datedServiceJourney.

PATCH
https://api.entur.io/seating-manager
/v1-beta/seating-offers/{datedServiceJourneyId}

Update the seating offer for the given datedServiceJourney. Currently it is only possible to set seating-offer as inactive, which will close the departure for sales.

Update seating offer for datedServiceJourney. › path Parameters

datedServiceJourneyId
​string · required · style: simple

The datedServiceJourney info that will be updated.

Update seating offer for datedServiceJourney. › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Update seating offer for datedServiceJourney. › Request Body

inactive
​boolean | null

If true, the departure will not be open for sales

Example: false
manualMaterial
​boolean | null

If true, the material on this SeatingOffer has been set manually

Example: false

Update seating offer for datedServiceJourney. › Responses

200

OK

datedServiceJourneyId
​string · required

The netex id of the datedServiceJourney

Example: VYG:DatedServiceJourney:61_21-12-02
datedServiceJourneyVersion
​integer · int32 · required

The version of the datedServiceJourney

Example: 1
organisationId
​integer · int64 · required

The organisation id this seating offer is operated by.

Example: 20
seatingOfferStatus
​string · enum · required

Describes the seating offer status

Enum values:
ACTIVE
CANCELLED
TO_BE_REPLACED
REPLACED_MATERIAL
REPLACED_DSJ
SEAT_USAGES_DELETED
REMOVED
DEPRECATED
Example: ACTIVE
serviceJourneyId
​string · required

The netex id of the serviceJourney

Example: GOA:ServiceJourney:709_337-R
operatingDate
​string · date · required

The date which the departure belongs to. Might differ from departureDateTime.

Example: 2023-02-13
departureDateTime
​string · date-time · required

The time of departure from the first station.

Example: 2023-02-13T12:00:00+01:00
lineId
​string · required

The netex id of the line

Example: GOA:Line:50
createdAt
​string · date-time · required

When this seating offer was initially created

Example: 2018-10-26T10:00:00Z
inactive
​boolean · required

Whether this seating offer is closed for sale or not

Example: false
manualMaterial
​boolean · required

Whether the material for this seating offer was set manually.

Example: false
transportType
​string · enum · required

The type of transport this seating offer is for.

Enum values:
BUS
REPLACEMENT_BUS
TRAIN
FERRY
OTHER
Example: TRAIN
​SeatingOfferElementResponse[] · required
replacesNetexId
​string | null

Netex id for the previous material used for this seating offer. If null the material on this dated service journey has never been changed.

Example: GOA:Train:73
updatedAt
​string | null · date-time

The last time this seating offer was updated. If null the seating offer has not been updated

Example: 2018-10-26T10:23:38Z

Fetch list of seating offers given either serviceJourneyId or lineId

GET
https://api.entur.io/seating-manager
/v1-beta/seating-offers

Get a list of all seating offers based on either serviceJourneyId or lineId

Fetch list of seating offers given either serviceJourneyId or lineId › query Parameters

serviceJourneyId
​string · style: form · explode: true

The netex serviceJourneyId for the seating offers

lineId
​string · style: form · explode: true

The netex lineId for the seating offers

statuses
​string[] · style: form · explode: true

The statuses of the seatingOffers that will be fetched. Defaults to ACTIVE and TO_BE_REPLACED.

Enum values:
ACTIVE
CANCELLED
TO_BE_REPLACED
REPLACED_MATERIAL
REPLACED_DSJ
SEAT_USAGES_DELETED
REMOVED
DEPRECATED
fromDate
​string · date · style: form · explode: true

The earliest departure date of the seatingOffers that will be fetched.

toDate
​string · date · style: form · explode: true

The latest departure date of the seatingOffers that will be fetched.

Fetch list of seating offers given either serviceJourneyId or lineId › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Fetch list of seating offers given either serviceJourneyId or lineId › Responses

200

OK

datedServiceJourneyId
​string · required

The netex id of the datedServiceJourney

Example: VYG:DatedServiceJourney:61_21-12-02
datedServiceJourneyVersion
​integer · int32 · required

The version of the datedServiceJourney

Example: 1
organisationId
​integer · int64 · required

The organisation id this seating offer is operated by.

Example: 20
seatingOfferStatus
​string · enum · required

Describes the seating offer status

Enum values:
ACTIVE
CANCELLED
TO_BE_REPLACED
REPLACED_MATERIAL
REPLACED_DSJ
SEAT_USAGES_DELETED
REMOVED
DEPRECATED
Example: ACTIVE
serviceJourneyId
​string · required

The netex id of the serviceJourney

Example: GOA:ServiceJourney:709_337-R
operatingDate
​string · date · required

The date which the departure belongs to. Might differ from departureDateTime.

Example: 2023-02-13
departureDateTime
​string · date-time · required

The time of departure from the first station.

Example: 2023-02-13T12:00:00+01:00
lineId
​string · required

The netex id of the line

Example: GOA:Line:50
createdAt
​string · date-time · required

When this seating offer was initially created

Example: 2018-10-26T10:00:00Z
inactive
​boolean · required

Whether this seating offer is closed for sale or not

Example: false
manualMaterial
​boolean · required

Whether the material for this seating offer was set manually.

Example: false
transportType
​string · enum · required

The type of transport this seating offer is for.

Enum values:
BUS
REPLACEMENT_BUS
TRAIN
FERRY
OTHER
Example: TRAIN
​SeatingOfferElementResponse[] · required
replacesNetexId
​string | null

Netex id for the previous material used for this seating offer. If null the material on this dated service journey has never been changed.

Example: GOA:Train:73
updatedAt
​string | null · date-time

The last time this seating offer was updated. If null the seating offer has not been updated

Example: 2018-10-26T10:23:38Z

Fetch available seats on a seating offer

GET
https://api.entur.io/seating-manager
/v1-beta/seating-offers/{datedServiceJourneyId}/availability

The response contains seats that are available for reservation, grouped by their element.

Fetch available seats on a seating offer › path Parameters

datedServiceJourneyId
​string · required · style: simple

The datedServiceJourney the seats will be fetched for.

Fetch available seats on a seating offer › query Parameters

origin
​string · required · style: form · explode: true

The origin of the capacity query.

destination
​string · required · style: form · explode: true

The destination of the capacity query.

Fetch available seats on a seating offer › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Fetch available seats on a seating offer › Responses

200

OK

Element (e.g. train carriage) with available.
carriageIdentifier
​string · required

Carriage number of the element.

Example: 1
​AvailableSeatResponse[] · required

Available seats in element.


Fetch list of serviceJourneyIds with period of first and last departure date

GET
https://api.entur.io/seating-manager
/v1-beta/seating-offers/service-journey-periods

Fetch list of serviceJourneyIds with period of first and last departure date › query Parameters

lineId
​string · required · style: form · explode: true

The netex lineId for the unique serviceJourneyIds with seating offers

Fetch list of serviceJourneyIds with period of first and last departure date › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Fetch list of serviceJourneyIds with period of first and last departure date › Responses

200

OK

serviceJourneyId
​string · required

The netex id of the serviceJourney

Example: GOA:ServiceJourney:709_337-R
firstDepartureDate
​string · date · required

The first date and time of departure.

Example: 2023-02-13
lastDepartureDate
​string · date · required

The last date and time of departure.

Example: 2023-02-18

Fetch list of unique serviceJourneyId per lineId

GET
https://api.entur.io/seating-manager
/v1-beta/seating-offers/service-journey-ids-per-line-id

Fetch list of unique serviceJourneyId per lineId › query Parameters

lineId
​string · required · style: form · explode: true

The netex lineId for the unique serviceJourneyIds with seating offers

Fetch list of unique serviceJourneyId per lineId › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Fetch list of unique serviceJourneyId per lineId › Responses

200

OK

​string[]

Fetch journey data to debug a dated service journey

GET
https://api.entur.io/seating-manager
/v1-beta/seating-offers/debug/{datedServiceJourneyId}

The response contains requested data on seating offer for a given dated service journey id.

Fetch journey data to debug a dated service journey › path Parameters

datedServiceJourneyId
​string · required · style: simple

The datedServiceJourney debug info that will be fetched.

Fetch journey data to debug a dated service journey › query Parameters

datedServiceJourneyVersion
​integer · int32 · style: form · explode: true

The version of the seating offer to fetch. Fetches the newest version if not specified

elementCarriageIdentifier
​string · style: form · explode: true

The carriage to fetch seats and seat usages for. Fetches all if not specified

seatNumber
​string · style: form · explode: true

The seat to fetch seat usages for. Fetches all if not specified.

Fetch journey data to debug a dated service journey › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Fetch journey data to debug a dated service journey › Responses

200

OK

datedServiceJourneyId
​string · required

The netex id of the datedServiceJourney

Example: VYG:DatedServiceJourney:61_21-12-02
datedServiceJourneyVersion
​integer · int32 · required

The version of the datedServiceJourney

Example: 1
organisationId
​integer · int64 · required

The organisation id this seating offer is operated by.

Example: 20
seatingOfferStatus
​string · enum · required

Describes the seating offer status

Enum values:
ACTIVE
CANCELLED
TO_BE_REPLACED
REPLACED_MATERIAL
REPLACED_DSJ
SEAT_USAGES_DELETED
REMOVED
DEPRECATED
Example: ACTIVE
serviceJourneyId
​string · required

The netex id of the serviceJourney

Example: GOA:ServiceJourney:709_337-R
departureDateTime
​string · date-time · required

The time of departure from the first station.

Example: 2023-02-13T10:00:00Z
lineId
​string · required

The netex id of the line

Example: GOA:Line:50
createdAt
​string · date-time · required

When this seating offer was initially created

Example: 2018-10-26T10:00:00Z
createdBy
​integer · int64 · required

The organisation id this seating offer was created by.

Example: 1
updatedBy
​integer | null · int64 · required

The organisation id that last updated this seating offer.

Example: 1
inactive
​boolean · required

Whether this seating offer is closed for sale or not

Example: false
manualMaterial
​boolean · required

Whether the material for this seating offer was set manually.

Example: false
capactiyOnly
​boolean · required

Whether the seating offer has real RollingStock material or is meant for capacity only.

Example: false
transportType
​string · enum · required

The type of transport this seating offer is for.

Enum values:
BUS
REPLACEMENT_BUS
TRAIN
FERRY
OTHER
Example: TRAIN
​ElementDebugResponse[] · required
​StopPlaceWithTimesResponseV1[] · required
replacesNetexId
​string | null

Netex id for the previous material used for this seating offer. If null the material on this dated service journey has never been changed.

Example: GOA:Train:73
updatedAt
​string | null · date-time

The last time this seating offer was updated. If null the seating offer has not been updated

Example: 2018-10-26T10:23:38Z

Fetch journey data to debug a dated service journey

GET
https://api.entur.io/seating-manager
/v1-beta/seating-offers/debug/{datedServiceJourneyId}/

The response contains requested data on seating offer for a given dated service journey id.

Fetch journey data to debug a dated service journey › path Parameters

datedServiceJourneyId
​string · required · style: simple

The datedServiceJourney debug info that will be fetched.

Fetch journey data to debug a dated service journey › query Parameters

datedServiceJourneyVersion
​integer · int32 · style: form · explode: true

The version of the seating offer to fetch. Fetches the newest version if not specified

elementCarriageIdentifier
​string · style: form · explode: true

The carriage to fetch seats and seat usages for. Fetches all if not specified

seatNumber
​string · style: form · explode: true

The seat to fetch seat usages for. Fetches all if not specified.

Fetch journey data to debug a dated service journey › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Fetch journey data to debug a dated service journey › Responses

200

OK

datedServiceJourneyId
​string · required

The netex id of the datedServiceJourney

Example: VYG:DatedServiceJourney:61_21-12-02
datedServiceJourneyVersion
​integer · int32 · required

The version of the datedServiceJourney

Example: 1
organisationId
​integer · int64 · required

The organisation id this seating offer is operated by.

Example: 20
seatingOfferStatus
​string · enum · required

Describes the seating offer status

Enum values:
ACTIVE
CANCELLED
TO_BE_REPLACED
REPLACED_MATERIAL
REPLACED_DSJ
SEAT_USAGES_DELETED
REMOVED
DEPRECATED
Example: ACTIVE
serviceJourneyId
​string · required

The netex id of the serviceJourney

Example: GOA:ServiceJourney:709_337-R
departureDateTime
​string · date-time · required

The time of departure from the first station.

Example: 2023-02-13T10:00:00Z
lineId
​string · required

The netex id of the line

Example: GOA:Line:50
createdAt
​string · date-time · required

When this seating offer was initially created

Example: 2018-10-26T10:00:00Z
createdBy
​integer · int64 · required

The organisation id this seating offer was created by.

Example: 1
updatedBy
​integer | null · int64 · required

The organisation id that last updated this seating offer.

Example: 1
inactive
​boolean · required

Whether this seating offer is closed for sale or not

Example: false
manualMaterial
​boolean · required

Whether the material for this seating offer was set manually.

Example: false
capactiyOnly
​boolean · required

Whether the seating offer has real RollingStock material or is meant for capacity only.

Example: false
transportType
​string · enum · required

The type of transport this seating offer is for.

Enum values:
BUS
REPLACEMENT_BUS
TRAIN
FERRY
OTHER
Example: TRAIN
​ElementDebugResponse[] · required
​StopPlaceWithTimesResponseV1[] · required
replacesNetexId
​string | null

Netex id for the previous material used for this seating offer. If null the material on this dated service journey has never been changed.

Example: GOA:Train:73
updatedAt
​string | null · date-time

The last time this seating offer was updated. If null the seating offer has not been updated

Example: 2018-10-26T10:23:38Z

Did you find what you were looking for?